#define XMODEM_TTY "/dev/ttyS0"

#define XMODEM_USE_1K

#ifdef XMODEM_USE_1K
#define XMODEM_BLOCK_SIZE 1024
#define XMODEM_MSG_BEGIN "Begin 1K XModem send now.\r\n"
#else
#define XMODEM_BLOCK_SIZE 128 
#define XMODEM_MSG_BEGIN "Begin XModem send now.\r\n"
#endif

extern char xmodem_buffer[XMODEM_BLOCK_SIZE];

/* initializes serial port, starts connection */
/* returns 0 on success */
int xmodem_open(void);

/* closes serial port, deallocates resources */
void xmodem_close(void);

/* returns 0 if record successfully received into xmodem_buffer */
/* returns 1 on EOF */
/* returns negative numbers on failure */
int xmodem_get_record(void);

int xmodem_seek(int pos);
int xmodem_read(void *ptr, int count);

extern int xmodem_position;
